import React from "react";

import {LoadingSpinner} from "./LoadingSpinner";

export default {
    component: LoadingSpinner,
    title: 'Example/LoadingSpinner',
    // More on argTypes: https://storybook.js.org/docs/react/api/argtypes
    argTypes: {
        backgroundColor: {control: 'color'},
    },
};

const Template = (args) => <LoadingSpinner {...args} />;

export const Basic = Template.bind({});
Basic.args = {
    isLoading: true,
}

export const WithText = Template.bind({});
WithText.args = {
    isLoading: true,
    text: 'Loading...',
}

